local E, L, V, P, G, _ = unpack(select(2, ...)); --Inport: Engine, Locales, ProfileDB, GlobalDB
local DT = E:GetModule('DataTexts')

local lastPanel;
local self = lastPanel

local function OnEvent(self, event, ...)
	self.text:SetText("MoveAnything"); --Text for datatext panel
end

local function Click()
	if MAOptions:IsShown() then --Checking if the MA's window with the list of frames is shown
		MAOptionsClose:Click() --close if yes
	else
		GameMenuButtonMoveAnything:Click() --open if no
	end
end

local function OnEnter(self)
	DT:SetupTooltip(self)

	GameTooltip:AddLine("Show/hide MoveAnything window") --Tooltip text

	GameTooltip:Show()
end

DT:RegisterDatatext("MoveAnything", {'PLAYER_ENTERING_WORLD'}, OnEvent, Update, Click, OnEnter)