local E, L, V, P, G, _ = unpack(select(2, ...)); --Inport: Engine, Locales, ProfileDB, GlobalDB
local DT = E:GetModule('DataTexts')

local lastPanel;
local self = lastPanel

local function OnEvent(self, event, ...)
	self.text:SetText("Raid Invite"); --Text for datatext panel
end

local function Click()
	if RIO_MainFrame:IsShown() then --Checking if the RIO's window with the list of frames is shown
		RIO_CloseButtonThing:Click() --close if yes
	else
		RIO_Mod_MinimapButton:Click() --open if no
	end
end

local function OnEnter(self)
	DT:SetupTooltip(self)

	GameTooltip:AddLine("Show/hide Raid Invite Organizer window") --Tooltip text

	GameTooltip:Show()
end

DT:RegisterDatatext("Raid Invite", {'PLAYER_ENTERING_WORLD'}, OnEvent, Update, Click, OnEnter)